# Uses of Interface
org.apache.lucene.search.matchhighlight.PassageAdjuster

Packages that use PassageAdjuster
Package
Description
org.apache.lucene.search.matchhighlight
This package contains several components useful to build a highlighter on top of the `Matches` API.

- ## Uses of PassageAdjuster in org.apache.lucene.search.matchhighlight

  Classes in org.apache.lucene.search.matchhighlight that implement PassageAdjuster
  Modifier and Type
  Class
  Description
  `class`
  `BreakIteratorShrinkingAdjuster`
  A `PassageAdjuster` that adjusts the `Passage` range to word boundaries hinted by the given `BreakIterator`.
  Constructors in org.apache.lucene.search.matchhighlight with parameters of type PassageAdjuster
  Modifier
  Constructor
  Description
  ``
  `PassageSelector(Comparator<Passage> passageScorer, PassageAdjuster passageAdjuster)`